| Openscape Voice V10 - SOAP Interface Documentation

Public Attributes | List of all members
unsp__ListHGMembersRequest Struct Reference
Multi Line Hunt Group

List MLHG Members request. More...

`#include <osv-if-doc.h>`

## Public Attributes
struct unsp__Paging * | Paging
| Standard paging structure. More...
char * | InterfaceWSDL
| Indicates the WSDL version supported be the client; for backwards compatibility purposes. More...
char * | OperatorId
| Operator Id. More...
unsp__BGName | BGName
| The Business Group where the Hunt Group Belongs. More...
char * | BOName
| The Branch Office where the Hunt Group Belongs. More...
xsd__dateTime | LastSyncTime
| Filters the result for Hunt Groups modified after a specific Data and Time. More...
char * | HGName
| Filters the result for a specific Hunt Group Name. More...
char * | PilotDN
| Filters the result for a specific Hunt Group Pilot. More...
enum unsp__HGFilterType * | HGFilterType
| Specifies the filter type: HGName or PilotDN. More...
enum unsp__SortOrder * | HGSortDirection
| Standard sorting structure. More...
enum unsp__HuntType * | HuntType
| The hunting algorithm of the MLHG. More...

## Detailed Description

List MLHG Members request.

Used by unsp__ListHGMembers()

## Member Data Documentation

## ◆ BGName

unsp__BGName unsp__ListHGMembersRequest::BGName

The Business Group where the Hunt Group Belongs.

required: true

See also
  unsp__BGName

## ◆ BOName

char* unsp__ListHGMembersRequest::BOName

The Branch Office where the Hunt Group Belongs.

required: false

See also
  unsp__BOName

## ◆ HGFilterType

enum unsp__HGFilterType* unsp__ListHGMembersRequest::HGFilterType

Specifies the filter type: HGName or PilotDN.

required: false
default value[range]: NA

## ◆ HGName

char* unsp__ListHGMembersRequest::HGName

Filters the result for a specific Hunt Group Name.

required: false
default value[range]: NA [1..30]

## ◆ HGSortDirection

enum unsp__SortOrder* unsp__ListHGMembersRequest::HGSortDirection

Standard sorting structure.

required: false

## ◆ HuntType

enum unsp__HuntType* unsp__ListHGMembersRequest::HuntType

The hunting algorithm of the MLHG.

default value[range]: NA

## ◆ InterfaceWSDL

char* unsp__ListHGMembersRequest::InterfaceWSDL

Indicates the WSDL version supported be the client; for backwards compatibility purposes.

required: false

## ◆ LastSyncTime

xsd__dateTime unsp__ListHGMembersRequest::LastSyncTime

Filters the result for Hunt Groups modified after a specific Data and Time.

required: false
default value[range]: NA

## ◆ OperatorId

char* unsp__ListHGMembersRequest::OperatorId

Operator Id.

See also
  unsp__OperatorId

## ◆ Paging

struct unsp__Paging* unsp__ListHGMembersRequest::Paging

Standard paging structure.

required: false

## ◆ PilotDN

char* unsp__ListHGMembersRequest::PilotDN

Filters the result for a specific Hunt Group Pilot.

required: false

See also
  unsp__ServiceId

The documentation for this struct was generated from the following file:

- /home/build/gitlocal/osv_nem/submgmt/doc/osv-if-doc.h